*---------------------------------------*
*	Occupation weights from EU-LFS		*
*---------------------------------------*

	cd "$eu_lfs"
	
	
foreach yy in 2002 2006 2010 2014{

	
	local y1 = `yy'
	if `yy' ==2010 local y1 = 2011    
		// LFS still had ISCO88 codes in 2010

	global use: dir "." files "eu_lfs_`y1'_*"
	
	if inlist(`yy',2002,2006) local isco is88
	if inlist(`yy',2010,2014) local isco is08
	
	local i =1
	foreach dat in $use{

		use "`dat'", clear

		tokenize `dat' , parse("_"".")

		capture destring(`isco'3d), force gen(isco_3d)
		capture gen isco_3d= `isco'3d
		gen isco_2d = floor(isco_3d/10)
		
		
		capture destring(`isco'pr3d), force gen(isco_3d_pr) 
		capture gen isco_3d_pr = `isco'pr3d
		replace isco_3d_pr = . if isco_3d_pr ==999
		
		gen isco_2d_pr = floor(isco_3d_pr/10)
		
		capture drop recent_u
		gen recent_u = year - yearpr <4 if yearpr!= 9999 & age<60
		replace recent_u = 0 if yearpr==9999
			
		mdesc isco_3d_pr 
			if `r(percent)' > 99{
				gen unemp_occ_3d = .
				gen unemp_occ_2d = .
				}
			else{
		foreach dd in 2d 3d{
		capture drop val_isco
		gen val_isco     =  isco_`dd' if isco_2d<99
		replace val_isco = isco_`dd'_pr if val_isco == . & recent_u ==1
			
		capture drop ?_isco	
		egen n_isco  = count(1), by(val_isco)	
		egen u_isco  = sum(recent_u==1), by(val_isco)
		
		capture drop unemp_occ_`dd'
					gen unemp_occ_`dd' = u_isco/n_isco

		}
		}
		
		gen w =1
		preserve
		collapse (mean) isco_3d (sum) weight  w ///
				(first) country year unemp_occ_2d , by(isco_2d) 
		
		save "$lfs_proc\weights_`i'_2d" , replace
		restore
		
	preserve
		collapse (sum) weight  w ///
				(first) country year unemp_occ_3d , by(isco_3d) 
				
		save "$lfs_proc\weights_`i'_3d" , replace
		restore
		

		local ++i
	}

 
	clear

** Merging the small databases 	
*-----------------------------------

	local nsets : word count $use 
	foreach dd in 2d 3d {
		clear
		forvalues j = 1/`nsets' {
		
		append using "weights_`j'_`dd'" , force
		erase weights_`j'_`dd'.dta
	}

	ren isco_`dd' isco`dd'
		
	if "`dd'" =="3d" gen isco2d = floor(isco3d/10)



	global name0 country
	include "$do_ineq\country codes"
	
	** Dropping unneeded codes
	drop if isco2d<10  | isco2d>95

	** Countries with only a lower aggregation level available
	capture drop aux
	gen aux = real(substr(string(isco2d),-1,1))
	egen max_aux = max(aux), by(c_code)
	drop if max_aux==0 
	capture drop aux max_aux

	** Dropping to aggregated industries
	gen aux = real(substr(string(isco`dd'),-1,1))
	drop if aux==0
	capture drop aux
	
	* just to correct for 2011 / 2010
	replace year = `yy'

	
	save weights_`yy'_`dd'_2019, replace
	}
	}
*



exit 
