*---------------------------------------------------*
*	Artificial task values for intermediate years	*
*---------------------------------------------------*

 

foreach dd in 2d 3d{
cd "$onet"


foreach data in tasks88 tasks08{

local dd "2d"
local data "tasks88"
if "`data'" =="tasks88" {
	local keepers  "year<2008"
	local occ		"is88`dd'"
	}
	
if "`data'" =="tasks08" {
	local keepers  "year>2008"
	local occ		"isco`dd'"
	}
	
	
use `data'_2004_`dd', clear
append using `data'_2014_`dd', gen(year)

recode year (0=2002)(1=2014)
// for manipulation purposes (merging with EU-SES data) 

expand 2, gen(y2)
replace year = 2006 if y2==0 & year==2002
replace year = 2010 if y2==1 & year==2014

local occ		"is882d"

foreach var of varlist t_*{

 
capture drop x2002 x2014
quiet egen x2002 = max(`var'*(year==2002)) , by(`occ')
quiet egen x2014 = max(`var'*(year==2014)) , by(`occ')

quiet replace `var' = x2002*(1-(year-2002)/12) + x2014*(year-2002)/12 if `var'!=. 

di "`var'"
count if x2002==0
}

keep if `keepers'

if "`data'" =="tasks88" {
ren is88?d isco`dd'
}

save `data'_new_`dd', replace

}




foreach yy in 2002 2010{


if `yy'==2002{
local tasks tasks88
}

if `yy'==2010{
local tasks tasks08
}

local occ isco`dd'

local y2 =`yy'+4

use "$lfs_proc\weights_`yy'_`dd'", clear
append using "$lfs_proc\weights_`y2'_`dd'"

merge m:1 `occ' year using "$onet\\`tasks'_new_`dd'"

** Missing codes (IS88 62) 
capture drop if _merge==2

if "`nd'" =="3d"{
foreach var of varlist t*{
		cap	egen aux = mean(`var') , by(c_code isco2d)
		quiet replace `var' = aux if `var'==.
		drop aux
	}
}

 ** Task content of jobs
 *--------------------------------------
 
stdize  t_* , by(c_code year) weights(w)
 
egen nr_cog=rowtotal(t_4A2a4 t_4A2b2 t_4A4a1)
egen nr_pers=rowtotal(t_4A4a4 t_4A4b4 t_4A4b5)
egen r_cog=rowtotal(t_4C3b7 t_4C3b4 t_4C3b8_rev)
egen r_man=rowtotal(t_4C3d3 t_4A3a3 t_4C2d1i)
egen nr_man=rowtotal(t_4A3a4 t_4C2d1g t_1A2a2 t_1A1f1)


stdize nr_cog nr_pers r_cog r_man nr_man ,by(c_code year) weights(w)
 
gen rti =  ( r_man + r_cog) - (nr_cog + nr_pers + nr_man) 

stdize rti, by(c_code year) weights(w)

keep rti nr_cog nr_pers r_cog r_man nr_man  c_code country `occ' year

tempfile `tasks'_ready
save ``tasks'_ready', replace
}
 
** Combine the databases from different years
clear

use `tasks88_ready'
*rename is88`dd' isco`dd'
append using `tasks08_ready'
label var isco`dd' "ISCO codes (08-88) `dd'"

foreach var in nr_cog nr_pers r_cog r_man nr_man rti{
	ren `var' `var'_tv
}

label var nr_cog  "NR. Cog. (time varying)"
label var nr_pers "NR. Pers. (time varying)"
label var nr_man  "NR. Man. (time varying)"
label var r_cog   "R. Cog. (time varying)"
label var r_man   "R. Man. (time varying)"
label var rti	  "RTI (time varying)"

save "$onet\tasks_new_ready_`dd'", replace

use "$onet\tasks_new_ready_`dd'"

foreach yy in 03 14{
merge 1:1 c_code isco`dd' year using "$onet\ready\tasks_20`yy'_`dd'"
capture drop _merge
	foreach var in nr_cog nr_pers r_cog r_man nr_man rti{
	ren `var' `var'_`yy'	
	}
label var nr_cog_`yy'  "NR. Cog."
label var nr_pers_`yy' "NR. Pers."
label var nr_man_`yy'  "NR. Man."
label var r_cog_`yy'   "R. Cog."
label var r_man_`yy'   "R. Man."
label var rti_`yy'	 "RTI"
}
***

save "$onet\tasks_ready_`dd'", replace

}


foreach dd in 2d 3d{
clear

forvalues yy = 2002(4)2014{
append using "$lfs_proc\weights_`yy'_`dd'_2019"
}
merge 1:1 c_code year isco`dd' using "$onet\tasks_ready_`dd'"


foreach var in married unemp_occ trains{
gen `var'2 = `var'^2
}

drop if _merge ==2
drop _merge

save "$onet\tasks_ready_`dd'" , replace
}


exit
