*-----------------------------------*
*	Data preparation comments IEA	*
*-----------------------------------*

capture do paths

import delimited "$dta\..\original\lfsa_ergan_1_Data.csv", clear
capture drop sex age citizen unit flagandfootn
replace value ="" if value==":"
destring value, replace
ren value emp_rate
label var emp_rate "Employment Rate"
global name0 geo
quiet do "country codes"
ren time year
drop if c_code==""
tempfile file1
save `file1', replace


import delimited "$dta\..\original\lfsa_urgan_1_Data.csv", clear
capture drop sex age citizen unit flagandfootn
replace value ="" if value==":"
destring value, replace
ren value unemp_rate
label var unemp_rate "Unemployment Rate"
global name0 geo_label
capture do "country codes"
ren time year
drop if c_code==""
tempfile file2
save `file2', replace


import delimited "$dta\..\original\naida_10_gdp_1_Data.csv", clear
capture drop  na_i flagandfootn
encod unit, gen(measure)
drop unit

replace value ="" if value==":"
replace value = subinstr(value,",","",.)
destring value, replace
label li measure
 
reshape wide value  , i(geo time) j(measure) 
ren value1 ch_gdp 
label var ch_gdp "Chain linked volumes, index 2010=100"

ren value2 ch_gdp_yty
label var  ch_gdp_yty "Chain linked volumes, % change from last year"

ren value3 gdp
label var gdp "GDP constant prices"

drop value4 

global name0 geo_label
capture do "country codes"
ren time year
drop if c_code==""
tempfile file3
save `file3', replace


use `file1', clear
merge 1:1 c_code year using `file2', gen(merge2)
merge 1:1 c_code year using `file3', gen(merge3)
 

drop if merge3==2 |merge2==1
label data "Macro data: GDP, employment, unemployment"
save "$dta\macro_eu" , replace
