*---------------------------------------------------------------*
*		Descriptives on the match between ISCO08 & ONET			*
*---------------------------------------------------------------*

* Table A2 in the appendix

use "$onet\merged_2004", clear
rename onetsoccode onetsoc00

replace onetsoc00=subinstr(onetsoc00, "-", "", 1) 
destring onetsoc00 , gen(soc00)
replace soc00 = int(soc00)

collapse (mean) t_* (first) onetsoc00 , by(soc00)

joinby soc00 using ..\crosswalks\soc00_soc10
collapse (mean) t_* (first)onetsoc00 , by(soc10)

joinby soc10 using ..\crosswalks\soc10_isco08


duplicates t isco08, gen(dupl_EU)
duplicates t soc10, gen(dupl_US)

gen match_type = 0
replace match_type = 1 if dupl_US ==0 & dupl_EU==0
replace match_type = 2 if dupl_US==0 & dupl_EU >0
replace match_type = 3 if dupl_US>0 & dupl_EU ==0
replace match_type = 4 if dupl_US>0 & dupl_EU>0

preserve 
collapse match_type, by(isco08)
tab match_type
restore

tab t_1A1f1 if isco08==3121
list t_1A1f1 soc10 isco08 if isco08==2111
list t_1A1f1 soc10 isco08 if soc10==192032 | inlist(isco08, 2113, 2146)
