*--------------------------------------*
* 		Table of missings              *
*--------------------------------------*
 

*------------------------------------------------------------------*
capture program drop list_missing
program define list_missing
	syntax varname   , label(string) fname(string)
	
file write `fname' "`label'"
	forvalues y = 2002(4)2014{
	file write `fname' "& " 
	quiet levelsof c_code if `1' ==. & year == `y', local(cc)
	local ix = 1
	foreach c in `cc'{
		if `ix' == 1 	file write `fname' "`c'" 
		if `ix' > 1 	file write `fname' ", `c'"
		local ++ix
		}
	}
file write tab_missings "\\[.25cm] \hline" _n

end program
*------------------------------------------------------------------*


use "$ses_proc\final2d", replace
 
replace change_5 =1 if year>2006
replace change_10 =1 if year>2006

gen rest_indus	= 0 if out_s!=1


capture file close tab_missings
capture file open tab_missings using "$logs\tab__a_miss.tex" , write replace

local files "tab_missings"
file write `files' " \begin{tabular}{l | p{2.7cm}| p{2.7cm}| p{2.7cm}| p{2.7cm}}" _n "\hline \hline" _n
file write `files' " Variable & \multicolumn{4}{c}{Year} \\ " _n
file write `files' "          & \multicolumn{1}{c|}{2002} & \multicolumn{1}{c|}{2006} & \multicolumn{1}{c|}{2010} & \multicolumn{1}{c}{2014} \\ \hline" _n
file write `files' "No EU-SES & DEU &  & & GRC \\ \hline" _n
list_missing is3d_ses   , label("ISCO 3D*") fname(`files')
list_missing part  , label("Part time work") fname(`files')
list_missing pub    , label("SOE / Public Sector") fname(`files')
list_missing no_col , label("Collective agreement") fname(`files')
list_missing indef    , label("Contract type") fname(`files')
list_missing miss_occ_u , label("Occ. Unemp. Rate") fname(`files')
list_missing change_5 , label("5 year changes **") fname(`files')
list_missing change_10 , label("10 year changes **") fname(`files')
list_missing rest_indus   , label("Industry***") fname(`files')


file write `files' " \hline \hline" _n
file write `files' " \end{tabular}"
file close tab_missings 
