/*==============================================
			RTI -- Inequality  
================================================*/

use "$ses_proc\final2d", replace


**    Globals
*-------------------------------------------

global stderr "vce(robust)"
global all_x  "prime_  fem high_edu ten larg part pub indef overt  no_col " 
global x_ar	  "unemp_occ_2d hh2 simps_2d"
global all_x2 "$all_x $x_ar"
global tasks  "nr_cog_03 nr_pers_03 r_cog_03 r_man_03 nr_man_03"


**	Main specification
*----------------------------------------------------

 quiet{
foreach var in 9010 9050 5010{

reg  l`var'  rti_03  i.year i.cn if samples==1, $stderr
estimates store l`var'1

reg  l`var'  rti_03 $all_x i.year i.cn if samples==1, $stderr
estimates store l`var'4

reg  l`var'  rti_03 $all_x2 i.year i.cn if samples==1, $stderr
estimates store l`var'5

reg  ar`var'  rti_03  i.year i.cn   if c_code!="FIN" & samples==1, $stderr
estimates store l`var'6

reg  ar`var'  rti_03  $x_ar i.year i.cn   if c_code!="FIN" & samples==1, $stderr
estimates store l`var'7
}

}

local l9010 l90106 l90107 l90104 l90105 
local l9050 l90506 l90507 l90504 l90505 
local l5010 l50106 l50107 l50104 l50105 

local xy 	  "main"
local file_n  "$logs\tab_rti.tex" 
include 	  "$do_ineq\fancy_tab"


**      Task content of jobs
*-------------------------------------------------
local i =0 

foreach var in 9010 9050 5010{
	local ++i 
	foreach v in $tasks{
		 
		reg ar`var' `v' i.year  i.cn if c_code!="FIN" & samples==1, $stderr
		tokenize "`v'" , parse("_")
		di "`1'"	
		est store `1'_`3'_`i'
	}
	
	
	reg  l`var'  $tasks $all_x2 i.year  i.cn if samples==1, $stderr
	est store all_`i'_4

	reg ar`var'  $tasks  $x_ar i.year i.cn if c_code!="FIN" & samples==1 , $stderr
	est store all_`i'_3
	
	}

local nr_cogs nr_cog_1 all_1_3 all_1_4 nr_cog_2 all_2_3 all_2_4 nr_cog_3 all_3_3 all_3_4
local nr_pers nr_pers_1 all_1_3 all_1_4 nr_pers_2 all_2_3 all_2_4 nr_pers_3 all_3_3 all_3_4
local nr_man nr_man_1 all_1_3 all_1_4 nr_man_2 all_2_3 all_2_4 nr_man_3 all_3_3 all_3_4
local r_cogs r_cog_1 all_1_3 all_1_4 r_cog_2 all_2_3 all_2_4 r_cog_3 all_3_3 all_3_4
local r_man r_man_1 all_1_3 all_1_4 r_man_2 all_2_3 all_2_4 r_man_3 all_3_3 all_3_4
local r2 all_1_3 all_1_4 all_2_3 all_2_4 all_3_3 all_3_4

local xy "tasks"
local file_n "$logs\tab_tasks.tex" 
include "$do_ineq\fancy_tab"



**     RTI vs changes in occupation structure
*-------------------------------------------------



foreach var in 9010 9050 5010{

reg  ar`var'  	change_5 i.year i.cn if  samples==1, $stderr
estimates store ch`var'1

reg ar`var'  change_5  rti_03 i.year i.cn if c_code!="FIN"  & samples==1, $stderr
estimates store ch`var'2 

reg ar`var'  rti_03  change_5  $x_ar i.year i.cn if c_code!="FIN"  & samples==1 , $stderr
estimates store ch`var'3


reg  l`var'   change_5 rti_03 i.year i.cn if samples==1, $stderr
estimates store ch`var'4

reg   l`var' rti_03 change_5 $all_x2  i.year  i.cn if samples==1, $stderr
estimates store ch`var'5
 

}

local ch9050 ch90501 ch90502 ch90503 ch90504 ch90505    
local ch9010 ch90101 ch90102 ch90103 ch90104 ch90105  
local ch5010 ch50101 ch50102 ch50103 ch50104 ch50105  

local xy "changes"
local file_n "$logs\tab_change5.tex" 
include "$do_ineq\fancy_tab" 
 
 
exit


*-------------------------------------------------------------------------------*
*-------------------------------------------------------------------------------*
*-------------------------------------------------------------------------------*
*-------------------------------------------------------------------------------*
*-------------------------------------------------------------------------------*
*-------------------------------------------------------------------------------*


