*-------------------------------------------------------*
*		Robustness checks: change occupation size		*
*-------------------------------------------------------*


use "$ses_proc\final2d_2019", replace


** Globals
*--------------------------------------
global stderr "vce(robust)"
global all_x  "prime_  fem high_edu ten larg part pub indef overt  no_col " 
global x_ar	  "unemp_occ_2d hh2 n_subd simps_2d"
global all_x2 "$all_x $x_ar"
global tasks  "nr_cog_03 nr_pers_03 r_cog_03 r_man_03 nr_man_03"


*	Asymmetric effects
*------------------------------

gen pos_difp5 = change_5>0
gen pos_difp10 = change_10>0

foreach var in 9010 9050 5010{

reg  ar`var'  	change_5  pos_difp5 i.year i.cn if samples==1 & c_code!="FIN", $stderr
estimates store ch`var'1

reg ar`var'  rti_03  change_5  pos_difp5 i.year  i.cn if samples==1 & c_code!="FIN", $stderr
estimates store ch`var'2
 
reg ar`var'  rti_03   change_5  pos_difp5  $x_ar i.year i.cn if c_code!="FIN" & any_missing==0, $stderr
estimates store ch`var'3


reg  l`var'  rti_03  change_5  pos_difp5 $all_x i.year i.cn if samples==1 , $stderr
estimates store ch`var'4

reg  l`var'  rti_03  change_5  pos_difp5 $all_x2  i.year  i.cn if samples==1, $stderr
estimates store ch`var'5
 


}

local ch9050 ch90501 ch90502 ch90503 ch90504 ch90505     
local ch5010 ch50101 ch50102 ch50103 ch50104 ch50105     
local ch9010 ch90101 ch90102 ch90103 ch90104 ch90105     

local xy	  "asym_fx"
local file_n  "$logs\tab__a_asymfx.tex"
quiet include "$do_ineq\fancy_tab"


*	10 year changes
*------------------------------
 
foreach var in 9010 9050 5010{

reg ar`var'  change_10  i.year i.cn if samples==1 & c_code!="FIN", $stderr
estimates store ch`var'1 

reg ar`var'  rti_03   change_10  i.year i.cn if samples==1 &  c_code!="FIN" , $stderr
estimates store ch`var'2

reg ar`var'  rti_03   change_10  $x_ar   i.year i.cn if samples==1 &  c_code!="FIN" , $stderr
estimates store ch`var'3

reg ar`var'  rti_03   change_10 pos_difp10 $x_ar   i.year i.cn if samples==1 &  c_code!="FIN" , $stderr
estimates store ch`var'4

reg  l`var'  change_10 i.year i.cn if samples==1, $stderr
estimates store ch`var'5

reg  l`var'  rti_03  change_10 $all_x i.year i.cn if samples==1, $stderr
estimates store ch`var'6

reg  l`var'  rti_03  change_10 $all_x2 i.cn if samples==1, $stderr
estimates store ch`var'7
 
reg  l`var'  rti_03  change_10 pos_difp10 $all_x2 i.cn if samples==1, $stderr
estimates store ch`var'8
 
}



local ch9050 ch90501 ch90503 ch90504 ch90507 ch90508      
local ch5010 ch50101 ch50103 ch50104 ch50107 ch50108     
local ch9010 ch90101 ch90103 ch90104 ch90107 ch90108


local xy	  "10y"
local file_n  "$logs\tab__a_ch10y.tex"
quiet include "$do_ineq\fancy_tab"


