*---------------------------------------*
*		Publication tables				*
*---------------------------------------*

**===========================================================================**
**																			 **
**					 Main text Tables										 **	
**																			 **
**===========================================================================**


local indicates "Country FE = *cn*" "Year FE = *year*" " $ X_{oct} $ = hh*" 


if "`xy'" =="main" {
#delimit ;

local setts  label  keep(rti*) varlabel(rti_03 "RTI") sty(tex) cells("b(fmt(3)) & _star" se(par fmt(2)))   
			starlevels(* 0.10 ** 0.05 *** 0.01)	collabels(none) stats(r2, labels( "$ R^2 $" ) fmt(3) )
			mlabels(none);

					
estout `l9010'  using "`file_n'",  replace `setts' 
					prehead (             
                     \begin{tabular}{@{\extracolsep{4pt}}l*{@M}{c}@{}}   
					\hline \hline      )  
					mgroups( "Adjusted wages"  "Raw wages" , pattern(1 0   1 0) span prefix(\multicolumn{@span}{c}{)
        suffix(}) ) numbers posthead("\hline" " & \multicolumn{4}{c}{log(90/10)} \\")

	   ;
	   	
estout `l9050' using "`file_n'",   append `setts' prehead ([.2cm]) posthead(& \multicolumn{4}{c}{log(90/50)} \\ ) ;  
estout `l5010' using "`file_n'",  append `setts' prehead ([.2cm]) posthead(& \multicolumn{4}{c}{log(50/10)} \\ ) ;
estout `l5010' using "`file_n'", sty(tex) collabels(none) mlabels(none) 
		append indicate("`indicates'", label("Y" " ")) keep( ) prehead(\hline) ;
estout `l5010' using "`file_n'", sty(tex) collabels(none) mlabels(none) 
		append stats(N, fmt(0)) keep( ) prehead(\hline)
		postfoot( " \noalign{\smallskip} \hline \hline"  "\end{tabular} \\  "  ) ;
		#delimit cr

		exit
}


if "`xy'" =="tasks" {
#delimit ;

local setts  label sty(tex) cells("b(fmt(2)) & _star" se(par fmt(2)))   
			starlevels(* 0.10 ** 0.05 *** 0.01)	collabels(none) 
			mlabels(none)
			;
			
estout `nr_cogs'  using "`file_n'",  replace `setts' keep(nr_cog*) varl(nr_cog* "NR. Cog.")
		prehead ( \begin{tabular}{l|*{3}{c}|*{3}{c}|*{3}{c}@{}} \hline \hline )  
		mgroups( "log(90/10)" "log(90/50)" "log(50/10)" , pattern(1 0  0 1 0 0 1 0 0) 
		span prefix(\multicolumn{@span}{c|}{) suffix(}) ) numbers posthead("\hline" )
	   ;
	   	
estout `nr_pers' using "`file_n'", append `setts' keep(nr_pers*) varl(nr_pers* "NR. Pers.");
estout `nr_man' using "`file_n'",  append `setts' keep(nr_man*) varl(nr_man* "NR. Man.");
estout `r_cogs' using "`file_n'",  append `setts' keep(r_cog*) varl(r_cog* "R. Cog.");
estout `r_man' using "`file_n'",   append `setts' keep(r_man*) varl(r_man* "R. Man.");  
estout `r2' using "`file_n'", sty(tex) collabels(none) mlabels(none) 
		extracols(1 3 5) append  keep( ) prehead(\hline) stats(r2 N, labels( "$ R^2 $" ) fmt(3 0))
		postfoot( " \noalign{\smallskip} \hline \hline"  "\end{tabular} \\  "  ) ;
#delimit cr

}


if "`xy'" =="changes" {
#delimit ;

local setts label sty(tex) cells("b(fmt(3)) & _star" se(par fmt(2)))   
			starlevels(* 0.10 ** 0.05 *** 0.01)	collabels(none) keep(rti* change_5 ) varl(rti* "RTI")
			mlabels(none) stats(r2, labels( "$ R^2 $" ));
			
estout `ch9010'   using "`file_n'",  replace `setts' 
		prehead ( \begin{tabular}{@{\extracolsep{4pt}}l*{@M}{c}@{}} \hline \hline      )  
		mgroups( "Adjusted wages" "Raw wages"  , pattern(1 0  0 1 0 ) span prefix(\multicolumn{@span}{c}{)
        suffix(}) ) numbers posthead("\hline" " & \multicolumn{5}{c}{log(90/10)} \\") ;
	   	
estout `ch9050' using "`file_n'",   append `setts' prehead ([.2cm]) posthead(& \multicolumn{5}{c}{log(90/50)} \\) ;
estout `ch5010' using "`file_n'",   append `setts'  prehead ([.2cm]) posthead(& \multicolumn{5}{c}{log(50/10)} \\);
estout `ch5010' using "`file_n'", sty(tex) collabels(none) mlabels(none) 
		append indicate("`indicates'", label("Y" " ")) keep( ) prehead(\hline) postfoot(\hline) ;
estout `ch5010' using "`file_n'", sty(tex) collabels(none) mlabels(none) 
		append  keep( ) stats(N, fmt(0))
		postfoot( " \noalign{\smallskip} \hline \hline"  "\end{tabular} \\  " ) ;

#delimit cr
exit
}


**===========================================================================**
*
*					 Appendix Tables
*
**===========================================================================**


if "`xy'" =="Macro" {
#delimit ;

local setts label sty(tex) cells("b(fmt(3)) & _star" se(par fmt(2)))   
			starlevels(* 0.10 ** 0.05 *** 0.01)	collabels(none) keep(rti* emp_rate unemp_rate ch_gdp_yty)
			mlabels(none) stats(r2, labels( "$ R^2 $" ));
			
estout `m9010'   using "`file_n'",  replace `setts' 
		prehead ( \begin{tabular}{@{\extracolsep{4pt}}l*{@M}{c}@{}} \hline \hline      )  
		mgroups( "Adjusted wages" "Raw wages" , pattern(1 0   1 0 ) span prefix(\multicolumn{@span}{c}{)
        suffix(}) ) numbers posthead("\hline" " & \multicolumn{4}{c}{log(90/10)} \\") ;
	   	
estout `m9050' using "`file_n'",   append `setts' prehead ([.2cm]) posthead(& \multicolumn{4}{c}{log(90/50)} \\) ;
estout `m5010' using "`file_n'",   append `setts'  prehead([.2cm]) posthead(& \multicolumn{4}{c}{log(50/10)} \\) postfoot(\hline);
estout `m5010' using "`file_n'", sty(tex) collabels(none) mlabels(none) 
		append   prehead(\hline) stats(N, fmt(0))
		indicate("`indicates'", label("Y" " ")) keep( )  
		postfoot( " \noalign{\smallskip} \hline \hline"  "\end{tabular} \\  " ) ;

#delimit cr
exit
}


if "`xy'" =="rti2" {
#delimit ;

local setts label sty(tex) cells("b(fmt(3)) & _star" se(par fmt(2)))   
			starlevels(* 0.10 ** 0.05 *** 0.01)	collabels(none) keep(*rti*)
			mlabels(none) stats(r2, labels( "$ R^2 $" ));
			
estout `r9010'   using "`file_n'",  replace `setts' 
		prehead ( \begin{tabular}{@{\extracolsep{4pt}}l*{@M}{c}@{}} \hline \hline      )  
		mgroups( "Adjusted wages" "Raw wages"  , pattern(1 0   1 0 ) span prefix(\multicolumn{@span}{c}{)
        suffix(}) ) numbers posthead("\hline" " & \multicolumn{4}{c}{log(90/10)} \\") ;
	   	
estout `r9050' using "`file_n'",   append `setts' prehead ([.2cm]) posthead(& \multicolumn{4}{c}{log(90/50)} \\) ;
estout `r5010' using "`file_n'",   append `setts'  prehead([.2cm]) posthead(& \multicolumn{4}{c}{log(50/10)} \\);
estout `r5010' using "`file_n'", sty(tex) collabels(none) mlabels(none)		 
		append  stats(N, fmt(0))
		indicate("`indicates'", label("Y" " ")) keep( ) prehead(\hline)
		postfoot( " \noalign{\smallskip} \hline \hline"  "\end{tabular} \\  " ) ;

#delimit cr
exit
}


if "`xy'" =="winners" {
#delimit ;

local setts  label  keep(rti* s1_s10) sty(tex) cells("b(fmt(3)) & _star" se(par fmt(2)))   
			starlevels(* 0.10 ** 0.05 *** 0.01)	collabels(none) stats(r2, labels( "$ R^2 $" ) fmt(3) )
			mlabels(none);

					
estout `w9010'  using "`file_n'",  replace `setts' 
		prehead ( \begin{tabular}{@{\extracolsep{4pt}}l*{@M}{c}@{}} \hline \hline  )  
		mgroups( "Adjusted wages" "Raw wages"  , pattern(1 0 1 0) span prefix(\multicolumn{@span}{c}{)
        suffix(}) ) 
		numbers 
		posthead("\hline" " & \multicolumn{4}{c}{log(90/10)} \\")

	   ;
	   	
estout `w9050' using "`file_n'",   append `setts' prehead ([.2cm]) posthead(& \multicolumn{4}{c}{log(90/50)} \\ ) ;  
estout `w5010' using "`file_n'",  append `setts' prehead ([.2cm]) posthead(& \multicolumn{4}{c}{log(50/10)} \\ ) ;
estout `w5010' using "`file_n'", sty(tex) collabels(none) mlabels(none) 
		append indicate("`indicates'", label("Y" " ")) keep( ) prehead(\hline) ;

estout `w5010' using "`file_n'", sty(tex) collabels(none) mlabels(none) 
		append stats(N, fmt(0)) keep( ) prehead(\hline)
		postfoot( " \noalign{\smallskip} \hline \hline"  "\end{tabular} \\  "  ) ;
#delimit cr

}


if "`xy'" =="inc_exc" {

if `part'==1{
#delimit ;

local setts  label  keep(rti*) sty(tex) cells("b(fmt(2)) & _star ")   
			starlevels(* 0.10 ** 0.05 *** 0.01)	collabels(none)   
			mlabels(none);

estout BEL*  using "`file_n'",  replace	  mlabels(none) keep( ) sty(tex)
		collabels(none) 
		prehead ( \begin{tabular}{@{\extracolsep{4pt}}l*{@M}{c}@{}} \hline \hline  )  
		mgroups( "Including only" "Excluding" , pattern(1 0  0 1 0 0) span prefix(\multicolumn{@span}{c}{)
        suffix(}) ) posthead(&log(p90/p10)& log(p90/p50)& log(p50/p10) &log(p90/p10) &log(p90/p50) &log(p50/p10)  \\ \hline)
		;

#delimit cr

levelsof c_code , local(cc)
foreach c in `cc'{			
estout `c'*  using "`file_n'",  append `setts' 	varlabels(rti_03 `c')	
}		

estout BEL*  using "`file_n'",  append keep( )	collabels(none) mlabels(none) ///
		prehead([.4cm])  
}

if `part'==2{
		
forvalues y = 2002(4)2014{
estout e`y'*  using "`file_n'",  append `setts' 	varlabels(rti_03 `y')	
}


estout e2014*  using "`file_n'",  append keep( )	collabels(none)  mlabels(none) ///
prehead(\hline)		postfoot( " \noalign{\smallskip} \hline \hline"  "\end{tabular} \\  "  )
}
exit
}


if "`xy'" =="asym_fx" {
#delimit ;

local setts label sty(tex) cells("b(fmt(3)) & _star" se(par fmt(2)))   
			starlevels(* 0.10 ** 0.05 *** 0.01)	collabels(none) keep(change_5 pos_difp5 rti_03)
			mlabels(none) stats(r2, labels( "$ R^2 $" )) varlabels(change_5 "Change" pos_difp5 "Change $ > $ 0");
			
estout `ch9010'   using "`file_n'",  replace `setts' 
		prehead ( \begin{tabular}{@{\extracolsep{4pt}}l*{@M}{c}@{}} \hline \hline      )  
		mgroups( "Adjusted wages" "Raw wages"  , pattern(1 0  0 1 0 ) span prefix(\multicolumn{@span}{c}{)
        suffix(}) ) numbers posthead("\hline" " & \multicolumn{5}{c}{log(90/10)} \\") ;
	   	
estout `ch9050' using "`file_n'",   append `setts' prehead ([.2cm]) posthead(& \multicolumn{5}{c}{log(90/50)} \\) ;
estout `ch5010' using "`file_n'",   append `setts'  prehead ([.2cm]) posthead(& \multicolumn{5}{c}{log(50/10)} \\);
estout `ch5010' using "`file_n'", sty(tex) collabels(none) mlabels(none) 
		append indicate("`indicates'", label("Y" " ")) keep( ) prehead(\hline);
estout `ch5010' using "`file_n'", sty(tex) collabels(none) mlabels(none) 
		append  keep( ) prehead(\hline) stats(N, fmt(0))
		postfoot( " \noalign{\smallskip} \hline \hline"  "\end{tabular} \\  " ) ;

#delimit cr

}


if "`xy'" =="10y" {
#delimit ;

local setts label sty(tex) cells("b(fmt(3)) & _star" se(par fmt(2)))   
			starlevels(* 0.10 ** 0.05 *** 0.01)	collabels(none) keep(change_10 rti_03)
			mlabels(none) stats(r2, labels( "$ R^2 $" ));
			
estout `ch9010'   using "`file_n'",  replace `setts' 
		prehead ( \begin{tabular}{@{\extracolsep{4pt}}l*{@M}{c}@{}} \hline \hline      )  
		mgroups( "Adjusted wages"  "Raw wages" , pattern(1 0 0 1 0 ) span prefix(\multicolumn{@span}{c}{)
        suffix(}) ) numbers posthead("\hline" " & \multicolumn{5}{c}{log(90/10)} \\") ;
	   	
estout `ch9050' using "`file_n'",   append `setts' prehead ([.2cm]) posthead(& \multicolumn{5}{c}{log(90/50)} \\) ;
estout `ch5010' using "`file_n'",   append `setts'  prehead ([.2cm]) posthead(& \multicolumn{5}{c}{log(50/10)} \\);
estout `ch5010' using "`file_n'", sty(tex) collabels(none) mlabels(none) 
		append indicate("`indicates'", label("Y" " ")) keep( ) prehead(\hline) ;
estout `ch5010' using "`file_n'", sty(tex) collabels(none) mlabels(none) 
		append  keep( ) prehead(\hline) stats(N, fmt(0))
		postfoot( " \noalign{\smallskip} \hline \hline"  "\end{tabular} \\  " ) ;

#delimit cr

}


if "`xy'" =="change_app" {
#delimit ;

local setts label sty(tex) cells("b(fmt(3)) & _star" se(par fmt(2)))   
			starlevels(* 0.10 ** 0.05 *** 0.01)	collabels(none) keep(changes rti pos_dif)
			mlabels(none) stats(r2, labels( "$ R^2 $" ));
			
estout `ch9010'   using "`file_n'",  replace `setts' 
		prehead ( \begin{tabular}{@l*{@M}{c}@{}} \hline \hline      )  
		mgroups( "Raw wages" "Adjusted wages" , pattern(1 0 0  0 1 0 0 ) span prefix(\multicolumn{@span}{c}{)
        suffix(}) ) numbers posthead("\hline" " & \multicolumn{5}{c}{log(90/10)} \\") ;
	   	
estout `ch9050' using "`file_n'",   append `setts' prehead ([.2cm]) posthead(& \multicolumn{5}{c}{log(90/50)} \\) ;
estout `ch5010' using "`file_n'",   append `setts'  prehead ([.2cm]) posthead(& \multicolumn{5}{c}{log(50/10)} \\);
estout `ch5010' using "`file_n'", sty(tex) collabels(none) mlabels(none) 
		append indicate("`indicates'", label("Y" " ")) keep( ) prehead(\hline);
estout `ch5010' using "`file_n'", sty(tex) collabels(none) mlabels(none) 
		append  keep( ) stats(N, fmt(0))
		postfoot( " \noalign{\smallskip} \hline \hline"  "\end{tabular} \\  " ) ;

#delimit cr

}


if "`xy'" =="misc" {


#delimit ;

local setts  label  keep(rti*) varlabel(rti* "RTI") sty(tex) cells("b(fmt(3)) & _star" se(par fmt(2)))   
			starlevels(* 0.10 ** 0.05 *** 0.01)	collabels(none) stats(r2, labels( "$ R^2 $" ) fmt(3) )
			mlabels(none);

					
estout `l9010'  using "`file_n'",  replace `setts' 
	prehead (\begin{tabular}{l*{@M}{c}}  \hline \hline   
	& \multicolumn{2}{c}{RTI (2014)} & \multicolumn{2}{c}{Variances} & Non-parametric & No firm FE &
	&  \multicolumn{2}{c}{Fewer industries}& \multicolumn{2}{c}{All Industries} 
	& 	\multicolumn{2}{c}{Fewer controls} & \multicolumn{2}{c}{500 + observations} \\ 
Wages	& Adj.& Raw  & Adj.& Raw &  Adj. & Adj. & Adj.& Raw & Adj.& Raw& Adj.& Raw& Adj.& Raw\\)
		nonumbers posthead("\hline" "  \multicolumn{@M}{l}{log(90/10)} \\[.15cm]")
	   ;
	   	
estout `l9050' using "`file_n'",   append `setts' prehead ([.2cm]) posthead( \multicolumn{@M}{l}{log(90/50)} \\ [.15cm]) ;  
estout `l5010' using "`file_n'",  append `setts' prehead ([.2cm]) posthead( \multicolumn{@M}{l}{log(50/10)}  \\ [.15cm]) ;
estout `l5010' using "`file_n'", sty(tex) collabels(none) mlabels(none) 
		append indicate("`indicates'", label("Y" " ")) keep( ) prehead(\hline) ;
estout `l5010' using "`file_n'", sty(tex) collabels(none) mlabels(none) 
		append stats(N, fmt(0)) keep( ) prehead(\hline)
		postfoot( " \noalign{\smallskip} \hline \hline"  "\end{tabular} \\  "  ) ;
		#delimit cr


}

if "`xy'" =="3d1" {
#delimit ;

local setts  label  keep(rti*) varlabel(rti_03 "RTI") sty(tex) cells("b(fmt(3)) & _star" se(par fmt(2)))   
			starlevels(* 0.10 ** 0.05 *** 0.01)	collabels(none) stats(r2, labels( "$ R^2 $" ) fmt(3) )
			mlabels(none);
				
estout `l9010'  using "`file_n'",  replace `setts' 
					prehead (             
                     \begin{tabular}{@{\extracolsep{4pt}}l*{@M}{c}@{}}   
					\hline \hline      )  
					mgroups( "Adjusted wages"  "Raw wages" , pattern(1 0  0 1 0 0) span prefix(\multicolumn{@span}{c}{)
        suffix(}) ) numbers posthead("\hline" " & \multicolumn{6}{c}{log(90/10)} \\")

	   ;
	   	
estout `l9050' using "`file_n'",   append `setts' prehead ([.2cm]) posthead(& \multicolumn{6}{c}{log(90/50)} \\ ) ;  
estout `l5010' using "`file_n'",  append `setts' prehead ([.2cm]) posthead(& \multicolumn{6}{c}{log(50/10)} \\ ) ;
estout `l5010' using "`file_n'", sty(tex) collabels(none) mlabels(none) 
		append indicate("`indicates'", label("Y" " ")) keep( ) prehead(\hline) ;
estout `l5010' using "`file_n'", sty(tex) collabels(none) mlabels(none) 
		append stats(N, fmt(0)) keep( ) prehead(\hline)
		postfoot( " \noalign{\smallskip} \hline \hline"  "\end{tabular} \\  "  ) ;
		#delimit cr
		exit
}


if "`xy'" =="tasks_3d" {
local title1  "log(90/10)"
local title2  "log(90/50)"
local title3 "log(50/10)"

#delimit ;

local setts  label sty(tex) cells("b(fmt(2)) & _star" se(par fmt(2)))   
			starlevels(* 0.10 ** 0.05 *** 0.01)	collabels(none) 
			mlabels(none)
			;
			
estout `nr_cog_1'  using "`file_n'",  replace `setts' keep( ) varl(nr_cog* "NR. Cog.")
		prehead ( \begin{tabular}{l|*{@M}{c}} \hline \hline )  
		mgroups( "Adjusted wages" "Raw wages" , pattern(1 0 0  1 0) ) numbers posthead("\hline" )
	   ;
	   	
		
forvalues i = 1/3{;		
estout `nr_cog_`i'' using "`file_n'",  append `setts' keep(nr_cog*) varl(nr_cog* "NR. Cog.")
		prehead ([.2cm]) posthead(& \multicolumn{@M}{c}{`title`i''} \\ );
		
estout `nr_pers_`i'' using "`file_n'", append `setts' keep(nr_pers*) varl(nr_pers* "NR. Pers.");
estout `nr_man_`i'' using "`file_n'",  append `setts' keep(nr_man*) varl(nr_man* "NR. Man.");
estout `r_cog_`i'' using "`file_n'",  append `setts' keep(r_cog*) varl(r_cog* "R. Cog.");
estout `r_man_`i'' using "`file_n'",   append `setts' keep(r_man*) varl(r_man* "R. Man.");  
estout `r2_`i'' using "`file_n'", sty(tex) collabels(none) mlabels(none) 
		extracols(1 ) append  keep( )  stats(r2 N, labels( "$ R^2 $" ) fmt(3 0));
		
		}
		;
		estout `nr_cog_`i'' using "`file_n'", sty(tex) collabels(none) mlabels(none) keep( )  append
		postfoot( " \noalign{\smallskip} \hline \hline"  "\end{tabular} \\  "  ) ;
#delimit cr

}
